Bug 127503 - USB 1.1 (ohci-hcd, uhci-hcd) support for external USB1.1,2.0 enclosure
USB 1.1 (ohci-hcd, uhci-hcd) support for external USB1.1,2.0 enclosure
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-08 20:26 EDT by Luis Bento
Modified: 2015-01-04 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:05:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Bento 2004-07-08 20:26:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When trying to use the external USB 2.0 enclosure Genesys Logic, Inc.
USB 2.0 IDE Adapter several access and I/O problems occur, while the
USB 2.0 support for this device works perfectly.
While using the USB 2.0 support it detects that the PCI: cache line
size of 128 is not supported by device so it adjusts itself while
using both ohci-hcd, uhci-hcd USB 1.1 suport it does not.

When using the ohci-hcd, uhci-hcd module it is possible to mount the
device without any error message. But when trying to access any of the
files on the external USB drive it is not possible to do so giving
several I/O errors after a while. The drive can not be mounted again
saying that the device can not be found unless by doing a reboot, then
the device can be mounted again. 


Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435.2.3

How reproducible:
Always

Steps to Reproduce:
1. mount device with ohci-hcd or uhci-hcd module loaded
2. access file on device (for example copy or read a file)
3. the copy/read process stops giving I/O errors
4. can not remount the device
    

Actual Results:  Not possible to use USB 1.1 capability (ohci-hcd,
uhci-hcd)


Expected Results:  Usage of USB 1.1 capability

Additional info:

Jul  6 19:19:17 gateway kernel: scsi3 : SCSI emulation for USB Mass
Storage devices
Jul  6 19:19:17 gateway kernel:   Vendor: Genesys   Model: USB to IDE
Disk   Rev: 0002
Jul  6 19:19:17 gateway kernel:   Type:   Direct-Access              
       ANSI SCSI revision: 02
Jul  6 19:19:17 gateway kernel: SCSI device sda: 78140160 512-byte
hdwr sectors (40008 MB)
Jul  6 19:19:17 gateway kernel: sda: assuming Write Enabled
Jul  6 19:19:17 gateway kernel: sda: assuming drive cache: write through
Jul  6 19:19:17 gateway kernel:  sda: sda1 sda2
Jul  6 19:19:17 gateway kernel: Attached scsi removable disk sda at
scsi3, channel 0, id 0, lun 0
Jul  6 19:19:17 gateway kernel: Attached scsi generic sg0 at scsi3,
channel 0, id 0, lun 0,  type 0
Jul  6 19:19:17 gateway kernel: USB Mass Storage device found at 2
Jul  6 19:19:17 gateway kernel: updfstab: Using deprecated /dev/sg
mechanism instead of SG_IO on the actual device
Jul  6 19:19:18 gateway scsi.agent[4135]: disk at
/devices/pci0000:00/0000:00:1d.2/usb3/3-1/3-1:1.0/host3/3:0:0:0

Jul  6 19:22:17 gateway kernel: usb 3-1: reset full speed USB device
using address 2
Jul  6 19:22:22 gateway kernel: usb 3-1: control timeout on ep0out
Jul  6 19:22:27 gateway kernel: usb 3-1: control timeout on ep0out
Jul  6 19:22:28 gateway kernel: usb 3-1: device not accepting address
2, error -110
Jul  6 19:22:28 gateway kernel: scsi: Device offlined - not ready
after error recovery: host 3 channel 0 id 0 lun 0
Jul  6 19:22:28 gateway kernel: SCSI error : <3 0 0 0> return code =
0x50000
Jul  6 19:22:28 gateway kernel: end_request: I/O error, dev sda,
sector 262480
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32806
Jul  6 19:22:28 gateway kernel: scsi3 (0:0): rejecting I/O to offline
device
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32807
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32808
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32809
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32810
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32811
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32812
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32813
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32814
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32815
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32816
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32817
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32818
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32819
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32820
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32821
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32822
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32823
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32824
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32825
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32826
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32827
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32828
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32829
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32830
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32831
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32832
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32833
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32834
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32835
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32836
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32837
Jul  6 19:22:28 gateway kernel: scsi3 (0:0): rejecting I/O to offline
device
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 520
Jul  6 19:22:28 gateway kernel: lost page write due to I/O error on sda1
Jul  6 19:22:28 gateway kernel: scsi3 (0:0): rejecting I/O to offline
device
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32806
Jul  6 19:22:28 gateway kernel: scsi3 (0:0): rejecting I/O to offline
device
Jul  6 19:22:28 gateway kernel: Buffer I/O error on device sda1,
logical block 32806
Comment 1 Barry K. Nathan 2004-07-14 04:18:01 EDT
If you try a kernel from one of the following sources, does the
problem still occur?

+ rawhide (a.k.a. FC-devel)
+ FC 3 test 1
+ http://people.redhat.com/arjanv/2.6/
Comment 2 Luis Bento 2004-07-19 17:45:08 EDT
After trying all the above kernel sugestions the problem still
remains, taking the drive a little bit longer to go offline and giving
I/O errors.
Comment 3 Luis Bento 2004-07-19 17:50:12 EDT
Applying the suggestion from bit (bit_char_g@gmx.net) regarding bug#
122522 ( Comment #2 ) to the latest FC2 kernel 2.6.6-1.435.2.3
resolves the issue for both ohci-hcd, uhci-hcd.
Comment 4 Dave Jones 2005-04-16 00:05:44 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.